# Update user profile image

Uploads an image to the user profile.

Uploading a profile image differs from Adding an Image to a Cell in the
following ways:
  * A Content-Length header is not required
  * Allowable file types are limited to: gif, jpg, and png
  * Maximum file size is determined by the following rules:
      * If you have not defined a custom size and the image is larger than 1050 x 1050 pixels, Smartsheet scales the image down to 1050 x 1050
      * If you have defined a custom size, Smartsheet uses that as the file size max
  * If the image is not square, Smartsheet uses a solid color to pad the image

Endpoint: POST /users/{userId}/profileimage
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Content-Type` (string)
    Required for POST and PUT requests. Defines the structure for the request body.

## Path parameters:

  - `userId` (number, required)
    ID of the user being accessed.

## Response 200 fields (application/json):

  - `message` (string)
    Message that indicates the outcome of the request. (One of SUCCESS or PARTIAL_SUCCESS.)
    Enum: "PARTIAL_SUCCESS", "SUCCESS"

  - `resultCode` (number)
    * '0' Success
* '3' Partial Success of Bulk Operation
    Enum: 0, 3

  - `data` (array)
    Updated User Properties

  - `data.email` (string)
    User's primary email address.
    Example: "jane.doe@smartsheet.com"

  - `data.name` (string)
    User's full name (read-only).
    Example: "Jane Doe"

  - `data.firstName` (string)
    User's first name.
    Example: "Jane"

  - `data.lastName` (string)
    User's last name.
    Example: "Doe"

  - `data.profileImage` (object)

  - `data.profileImage.imageId` (string)
    Unique image ID.
    Example: "u!1!nAtdn5RJB_o!k6_e_3h2R3w!wmYXPek-yVD"

  - `data.profileImage.height` (integer)
    Image height.
    Example: 1050

  - `data.profileImage.width` (integer)
    Image width.
    Example: 1050

  - `data.id` (number)
    User ID.
    Example: 48569348493401200

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


